@if (componentData) {
  <div class="info-list-information-grid">
    <sqtm-core-label [text]="'sqtm-core.generic.label.code' | translate">
    </sqtm-core-label>
    <sqtm-core-editable-text-field
      [sqtmCoreGenericViewEditableTextField]="'code'"
      [required]="true"
      [attr.data-test-field-id]="'info-list-code'"
      layout="compact"
    >
    </sqtm-core-editable-text-field>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.creation.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'info-list-created'"
      [userName]="componentData.infoList.createdBy"
      [date]="componentData.infoList.createdOn"
    >
    </sqtm-core-auditable-field>
    <div class="col-spacer"></div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.modification.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'info-list-modified'"
      [userName]="componentData.infoList.lastModifiedBy"
      [date]="componentData.infoList.lastModifiedOn"
    >
    </sqtm-core-auditable-field>
  </div>
  <div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.description.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-rich-text
      [focus]="true"
      [attr.data-test-field-id]="'info-list-description'"
      [sqtmCoreGenericViewEditableRichTextField]="'description'"
    >
    </sqtm-core-editable-rich-text>
  </div>
}
